%global scl_name_base eclipse
%global scl_name_version 47
%global scl rh-%{scl_name_base}%{scl_name_version}

# Do not produce empty debuginfo package
%global debug_package %{nil}

%scl_package %scl

Summary: Package that installs %scl
Name: %scl_name
Version: 4.7.3
Release: 7%{?dist}
License: GPLv2+

Source0: README
Source1: LICENSE

BuildRequires: scl-utils-build >= 20120927-11
BuildRequires: help2man

Requires: %{name}-base = %{version}-%{release}
Requires: %{scl_prefix}eclipse-cdt >= 1:9.4.3
Requires: %{scl_prefix}eclipse-cdt-docker
Requires: %{scl_prefix}eclipse-cdt-llvm
Requires: %{scl_prefix}eclipse-cdt-parsers
Requires: %{scl_prefix}eclipse-cdt-qt
Requires: %{scl_prefix}eclipse-changelog
Requires: %{scl_prefix}eclipse-dltk >= 5.8.2
Requires: %{scl_prefix}eclipse-dltk-mylyn
Requires: %{scl_prefix}eclipse-dltk-rse
Requires: %{scl_prefix}eclipse-dltk-ruby
Requires: %{scl_prefix}eclipse-dltk-sh
Requires: %{scl_prefix}eclipse-dltk-tcl
Requires: %{scl_prefix}eclipse-gcov
Requires: %{scl_prefix}eclipse-gprof
Requires: %{scl_prefix}eclipse-launchbar >= 1:2.2.0
Requires: %{scl_prefix}eclipse-linuxtools >= 6.2.1
Requires: %{scl_prefix}eclipse-linuxtools-javadocs
Requires: %{scl_prefix}eclipse-linuxtools-libhover
Requires: %{scl_prefix}eclipse-manpage
Requires: %{scl_prefix}eclipse-mylyn-context-cdt
Requires: %{scl_prefix}eclipse-oprofile
Requires: %{scl_prefix}eclipse-perf
Requires: %{scl_prefix}eclipse-ptp >= 9.1.4
Requires: %{scl_prefix}eclipse-ptp-gem
Requires: %{scl_prefix}eclipse-ptp-rm-contrib
Requires: %{scl_prefix}eclipse-ptp-sci
Requires: %{scl_prefix}eclipse-ptp-sdm
Requires: %{scl_prefix}eclipse-pydev >= 1:6.3.2
Requires: %{scl_prefix}eclipse-pydev-mylyn >= 1:6.3.2
Requires: %{scl_prefix}eclipse-remote
Requires: %{scl_prefix}eclipse-rpm-editor
Requires: %{scl_prefix}eclipse-rse
Requires: %{scl_prefix}eclipse-rse-server
Requires: %{scl_prefix}eclipse-systemtap
Requires: %{scl_prefix}eclipse-valgrind

%description
This is the main package for %scl Software Collection.
Installs all Eclipse packages available in this SCL.

%package base
Summary: Package that installs a minimal %scl
Requires: %{name}-runtime = %{version}-%{release}
Requires: %{scl_prefix}eclipse-abrt
Requires: %{scl_prefix}eclipse-cdt-native
Requires: %{scl_prefix}eclipse-dtp >= 1.14.100
Requires: %{scl_prefix}eclipse-ecf-core >= 3.13.8
Requires: %{scl_prefix}eclipse-ecf-runtime >= 3.13.8
Requires: %{scl_prefix}eclipse-egit >= 4.11.0
Requires: %{scl_prefix}eclipse-egit-mylyn
Requires: %{scl_prefix}eclipse-emf-core
Requires: %{scl_prefix}eclipse-emf-runtime
Requires: %{scl_prefix}eclipse-epp-logging >= 2.0.6
Requires: %{scl_prefix}eclipse-equinox-osgi
Requires: %{scl_prefix}eclipse-filesystem
Requires: %{scl_prefix}eclipse-gef
Requires: %{scl_prefix}eclipse-jdt
Requires: %{scl_prefix}eclipse-jgit >= 4.11.0
Requires: %{scl_prefix}eclipse-linuxtools-docker
Requires: %{scl_prefix}eclipse-linuxtools-vagrant
Requires: %{scl_prefix}eclipse-m2e-apt >= 1.4.0
Requires: %{scl_prefix}eclipse-m2e-buildhelper
Requires: %{scl_prefix}eclipse-m2e-core >= 1.8.3
Requires: %{scl_prefix}eclipse-m2e-egit
Requires: %{scl_prefix}eclipse-m2e-mavenarchiver
Requires: %{scl_prefix}eclipse-m2e-tycho
Requires: %{scl_prefix}eclipse-m2e-wtp
Requires: %{scl_prefix}eclipse-mpc >= 1.6.4
Requires: %{scl_prefix}eclipse-mylyn >= 3.23.1
Requires: %{scl_prefix}eclipse-mylyn-builds
Requires: %{scl_prefix}eclipse-mylyn-builds-hudson
Requires: %{scl_prefix}eclipse-mylyn-context-java
Requires: %{scl_prefix}eclipse-mylyn-context-pde
Requires: %{scl_prefix}eclipse-mylyn-docs-epub
Requires: %{scl_prefix}eclipse-mylyn-docs-wikitext
Requires: %{scl_prefix}eclipse-mylyn-tasks-bugzilla
Requires: %{scl_prefix}eclipse-mylyn-tasks-trac
Requires: %{scl_prefix}eclipse-mylyn-tasks-web
Requires: %{scl_prefix}eclipse-mylyn-versions
Requires: %{scl_prefix}eclipse-mylyn-versions-cvs
Requires: %{scl_prefix}eclipse-mylyn-versions-git
Requires: %{scl_prefix}eclipse-p2-discovery
Requires: %{scl_prefix}eclipse-pde
Requires: %{scl_prefix}eclipse-platform >= 1:4.7.3
Requires: %{scl_prefix}eclipse-recommenders >= 2.5.1
Requires: %{scl_prefix}eclipse-swt >= 1:4.7.3
Requires: %{scl_prefix}eclipse-swtbot
Requires: %{scl_prefix}eclipse-testng >= 6.14.0
Requires: %{scl_prefix}eclipse-tm-terminal
Requires: %{scl_prefix}eclipse-tm-terminal-connectors
Requires: %{scl_prefix}eclipse-usage >= 4.5.3
Requires: %{scl_prefix}eclipse-webtools-common >= 3.9.4
Requires: %{scl_prefix}eclipse-webtools-dali
Requires: %{scl_prefix}eclipse-webtools-javaee
Requires: %{scl_prefix}eclipse-webtools-jsf
Requires: %{scl_prefix}eclipse-webtools-servertools
Requires: %{scl_prefix}eclipse-webtools-sourceediting
Requires: %{scl_prefix}eclipse-xsd

%description base
This is the base package for %scl Software Collection.
Installs the set of Eclipse packages that are shared between this SCL and
Red Hat Devstudio.

%package runtime
Summary: Runtime scripts for the %scl Software Collection
Requires: scl-utils >= 20120927-11
Requires: rh-maven35-runtime
# Eclipse requires Java 8 to run and build
Requires: java-1.8.0-openjdk-devel
Requires: java-1.8.0-openjdk-javadoc

%description runtime
Package shipping essential scripts to work with the %scl Software
Collection.

%package build
Summary: Build configuration for the %scl Software Collection
Requires: scl-utils-build >= 20120927-11
Requires: %{name}-scldevel = %{version}-%{release}

%description build
Package shipping essential configuration macros to build the %scl
Software Collection itself.

%package scldevel
Summary: Development files for the %scl Software Collection
Requires: %{name}-runtime = %{version}-%{release}
Requires: rh-maven35-scldevel

%description scldevel
Package shipping development files, especially useful for development of
packages depending on the %scl Software Collection.

%prep
%setup -c -T

# Prepare documentation
cat > README << EOF
%{expand:%(cat %{SOURCE0})}
EOF
cp %{SOURCE1} .

%build
# Enable collection script
# ========================
cat <<EOF >enable
#!/bin/bash

# We have a run-time dependency on maven collection, enable it first if not already
if ! scl_enabled rh-maven35 ; then
  if [ -z "\$RPM_BUILD_ROOT" ] ; then
    . scl_source enable rh-maven35
  fi
fi

# The IDE has optional deps on other collections, so enable them if present
if test -e /opt/rh/devtoolset-6/enable ; then
  . scl_source enable devtoolset-6
fi
if test -e /opt/rh/devtoolset-7/enable ; then
  . scl_source enable devtoolset-7
fi
if test -e /opt/rh/python27/enable ; then
  . scl_source enable python27
fi
if test -e /opt/rh/rh-python34/enable ; then
  . scl_source enable rh-python34
fi
if test -e /opt/rh/rh-python35/enable ; then
  . scl_source enable rh-python35
fi
if test -e /opt/rh/rh-python36/enable ; then
  . scl_source enable rh-python36
fi

# General environment variables
export PATH=%{_bindir}:%{_prefix}/lib/jvm/java/bin\${PATH:+:\${PATH}}
export MANPATH=%{_mandir}:\${MANPATH}

# Needed by Java Packages Tools to locate java.conf
export JAVACONFDIRS="%{_sysconfdir}/java:\${JAVACONFDIRS:-/etc/java}"

# Required by XMvn to locate its configuration files
export XDG_CONFIG_DIRS="%{_sysconfdir}/xdg:\${XDG_CONFIG_DIRS:-/etc/xdg}"
export XDG_DATA_DIRS="%{_datadir}:\${XDG_DATA_DIRS:-/usr/local/share:/usr/share}"

# Some perl Ext::MakeMaker versions install things under /usr/lib/perl5
# even though the system otherwise would go to /usr/lib64/perl5.
export PERL5LIB=%{_scl_root}/%{perl_vendorarch}:%{_scl_root}/usr/lib/perl5:%{_scl_root}/%{perl_vendorlib}\${PERL5LIB:+:\${PERL5LIB}}
# bz847911 workaround:
# we need to evaluate rpm's installed run-time % { _libdir }, not rpmbuild time
# or else /etc/ld.so.conf.d files?
rpmlibdir=\$(rpm --eval "%%{_libdir}")
# bz1017604: On 64-bit hosts, we should include also the 32-bit library path.
if [ "\$rpmlibdir" != "\${rpmlibdir/lib64/}" ]; then
  rpmlibdir32=":%{_scl_root}\${rpmlibdir/lib64/lib}"
fi
export LD_LIBRARY_PATH=%{_scl_root}\$rpmlibdir\$rpmlibdir32\${LD_LIBRARY_PATH:+:\${LD_LIBRARY_PATH}}
EOF

# Java configuration
# ==================
cat <<EOF >java.conf
JAVA_LIBDIR=%{_prefix}/share/java
JNI_LIBDIR=%{_prefix}/lib/java
JVM_ROOT=%{_prefix}/lib/jvm
EOF

# Javapackages config
# ===================
cat <<EOF >javapackages-config.json
{
    "maven.req": {
	"always_generate": [
	    "%{scl}-runtime"
	],
	"java_requires": {
	    "package_name": "java",
	    "always_generate": true,
	    "skip": false
	},
	"java_devel_requires": {
	    "package_name": "java-devel",
	    "always_generate": false,
	    "skip": false
	}
    },
    "javadoc.req": {
	"always_generate": [
	    "%{scl}-runtime"
	]
    }
}
EOF

# Ivy configuration
# =================
cat <<EOF >ivysettings.xml
<!-- Ivy configuration file for %{scl} software collection
     Artifact resolution order is:
      1. %{scl} collection
      2. rh-maven35 collection
-->
<ivysettings>
  <settings defaultResolver="default"/>
  <resolvers>
    <filesystem name="%{scl}-public">
      <ivy pattern="\${ivy.conf.dir}/lib/[module]/apache-ivy-[revision].xml" />
      <artifact pattern="%{_datadir}/java/\[artifact].[ext]" />
    </filesystem>
    <filesystem name="rh-maven35-public">
      <ivy pattern="\${ivy.conf.dir}/lib/[module]/apache-ivy-[revision].xml" />
      <artifact pattern="/opt/rh/rh-maven35/root/%{_root_datadir}/java/\[artifact].[ext]" />
    </filesystem>
    <filesystem name="public">
      <ivy pattern="\${ivy.conf.dir}/lib/[module]/apache-ivy-[revision].xml" />
      <artifact pattern="%{_root_datadir}/java/\[artifact].[ext]" />
    </filesystem>
    <chain name="main" dual="true">
      <resolver ref="%{scl}-public"/>
      <resolver ref="rh-maven35-public"/>
      <resolver ref="public"/>
    </chain>
  </resolvers>
  <include url="\${ivy.default.settings.dir}/ivysettings-local.xml"/>
  <include url="\${ivy.default.settings.dir}/ivysettings-default-chain.xml"/>
</ivysettings>
EOF

# XMvn configuration
# ==================
cat <<EOF >configuration.xml
<?xml version="1.0" encoding="US-ASCII"?>
<!-- XMvn configuration file for %{scl} software collection
     Artifact resolution order is:
      1. %{scl} collection
      2. rh-maven35 collection
-->
<configuration xmlns="http://fedorahosted.org/xmvn/CONFIG/2.0.0">
  <resolverSettings>
    <metadataRepositories>
      <repository>/opt/rh/%{scl}/root/usr/share/maven-metadata</repository>
      <repository>/opt/rh/rh-maven35/root/usr/share/maven-metadata</repository>
    </metadataRepositories>
    <prefixes>
      <prefix>/opt/rh/%{scl}/root</prefix>
      <prefix>/opt/rh/rh-maven35/root</prefix>
    </prefixes>
  </resolverSettings>
  <installerSettings>
    <metadataDir>opt/rh/%{scl}/root/usr/share/maven-metadata</metadataDir>
  </installerSettings>
  <repositories>
    <repository>
      <id>resolve-%{scl}</id>
      <type>compound</type>
      <properties>
        <prefix>/opt/rh/%{scl}/root</prefix>
        <namespace>%{scl}</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-resolve</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>resolve-rh-maven35</id>
      <type>compound</type>
      <properties>
        <prefix>/opt/rh/rh-maven35/root</prefix>
        <namespace>rh-maven35</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-resolve</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>resolve-local</id>
      <type>maven</type>
      <properties>
        <root>.m2</root>
      </properties>
    </repository>
    <repository>
      <id>resolve</id>
      <type>compound</type>
      <configuration>
        <repositories>
	  <!-- Put resolvers in order you want to use them, from
	       highest to lowest preference. (resolve-local is
	       resolver that resolves from local Maven repository in
	       .xm2 in current directory.) -->
          <repository>resolve-local</repository>
          <repository>resolve-%{scl}</repository>
          <repository>resolve-rh-maven35</repository>
        </repositories>
      </configuration>
    </repository>
    <repository>
      <id>install</id>
      <type>compound</type>
      <properties>
        <prefix>opt/rh/%{scl}/root</prefix>
        <namespace>%{scl}</namespace>
      </properties>
      <configuration>
        <repositories>
          <repository>base-install</repository>
        </repositories>
      </configuration>
    </repository>
  </repositories>
</configuration>
EOF

# SCL devel macros
# ================
cat <<EOF >macros.%{scl}-scldevel
%%scl_%{scl_name_base} %{scl}
%%scl_prefix_%{scl_name_base} %{scl_prefix}
%%_scl_prefix_%{scl_name_base} %_scl_prefix
%%_scl_scripts_%{scl_name_base} %_scl_scripts
%%_scl_root_%{scl_name_base} %_scl_root
EOF

# Additional SCL build macros
# ===========================
cat <<EOF >macros.%{scl}-config

# Customisations for desktop applications
%%app_name_prefix Red Hat Eclipse %{version}
%%app_exec_prefix scl enable %{scl_name}

# Flags for disabling conditional parts of builds that we don't need
%%_with_jp_minimal 1
%%_without_portlet 1
%%_without_gradle 1
%%_without_groovy 1
%%_without_subclipse 1
%%_without_benchmarks 1
%%_without_okcurl 1
%%_without_hibernate 1
%%_without_providers 1
%%_without_javahl 1
EOF

# Generate a helper script that will be used by help2man
cat <<EOF >h2m_helper
#!/bin/bash
[ "\$1" == "--version" ] && echo "%{scl_name} %{version} Software Collection" || cat README
EOF
chmod a+x h2m_helper

# Generate the man page
help2man -N --section 7 ./h2m_helper -o %{scl_name}.7

%install
(%{scl_install})

# Install scl scripts
install -d -m 755 %{buildroot}%{_scl_scripts}
install -p -m 755 enable %{buildroot}%{_scl_scripts}/

# Install man page
install -d -m 755 %{buildroot}%{_mandir}/man7
install -p -m 644 %{scl_name}.7 %{buildroot}%{_mandir}/man7/

# Install rpm macros
install -d -m 755 %{buildroot}%{_root_sysconfdir}/rpm
install -p -m 644 macros.%{scl}-scldevel %{buildroot}%{_root_sysconfdir}/rpm/

# Install java, ant, ivy and xmvn config
install -d -m 755 %{buildroot}%{_sysconfdir}/ant.d
install -d -m 755 %{buildroot}%{_sysconfdir}/java
install -d -m 755 %{buildroot}%{_sysconfdir}/java/security
install -d -m 755 %{buildroot}%{_sysconfdir}/java/security/security.d
install -p -m 644 java.conf %{buildroot}%{_sysconfdir}/java/
install -p -m 644 javapackages-config.json %{buildroot}%{_sysconfdir}/java/
install -d -m 755 %{buildroot}%{_sysconfdir}/ivy
install -p -m 644 ivysettings.xml %{buildroot}%{_sysconfdir}/ivy/
install -d -m 755 %{buildroot}%{_sysconfdir}/xdg/xmvn
install -p -m 644 configuration.xml %{buildroot}%{_sysconfdir}/xdg/xmvn/

# Other directories that should be owned by the runtime
install -d -m 755 %{buildroot}%{_datadir}/appdata
install -d -m 755 %{buildroot}%{_datadir}/licenses
# Otherwise unowned java directories (native java bits are always in /usr/lib even on 64bit arches)
install -d -m 755 %{buildroot}%{_prefix}/share/java
install -d -m 755 %{buildroot}%{_prefix}/share/javadoc
install -d -m 755 %{buildroot}%{_prefix}/share/java-utils
install -d -m 755 %{buildroot}%{_prefix}/lib/java
install -d -m 755 %{buildroot}%{_prefix}/lib/jvm
# Otherwise unowned maven directories
install -d -m 755 %{buildroot}%{_datadir}/maven-metadata
install -d -m 755 %{buildroot}%{_datadir}/maven-poms
# Otherwise unowned perl directories
install -d -m 755 %{buildroot}%{_libdir}/perl5
install -d -m 755 %{buildroot}%{_libdir}/perl5/vendor_perl
install -d -m 755 %{buildroot}%{_libdir}/perl5/vendor_perl/auto

# Symlink to JVM in base operating system
ln -s -T %{_root_prefix}/lib/jvm/java-1.8.0 %{buildroot}%{_prefix}/lib/jvm/java
ln -s -T %{_root_prefix}/share/javadoc/java %{buildroot}%{_prefix}/share/javadoc/java

# XXX Temporary fix
install -d -m 755 %{buildroot}%{_root_prefix}/share/xmvn/lib/
ln -s -T %{_datadir_maven}/xmvn/lib/installer %{buildroot}%{_root_datadir}/xmvn/lib/installer

# Additional SCL build macros
cat macros.%{scl}-config >> %{buildroot}%{_root_sysconfdir}/rpm/macros.%{scl}-config

# Usage marker
install -d -m 755 %{buildroot}%{_prefix}/lib/eclipse/.pkgs
echo "%{version}-%{release}" > %{buildroot}%{_prefix}/lib/eclipse/.pkgs/RHSCL

%files
# Metapackage only, empty file list except for usage marker
%{_prefix}/lib/eclipse/.pkgs

%files base
# Metapackage only, empty file list

%files runtime -f filelist
%doc README
%license LICENSE
%scl_files
%{_sysconfdir}/ant.d
%{_sysconfdir}/ivy
%{_sysconfdir}/java
%dir %{_datadir}/appdata
%dir %{_datadir}/licenses
%dir %{_prefix}/share/java
%dir %{_prefix}/share/javadoc
%dir %{_prefix}/share/java-utils
%dir %{_prefix}/lib/java
%dir %{_prefix}/lib/jvm
%dir %{_datadir}/maven-metadata
%dir %{_datadir}/maven-poms
%{_prefix}/lib/jvm/java
%{_prefix}/share/javadoc/java

%files build
%{_root_sysconfdir}/rpm/macros.%{scl}-config
%{_root_datadir}/xmvn/lib/

%files scldevel
%{_root_sysconfdir}/rpm/macros.%{scl}-scldevel

%changelog
* Wed Apr 11 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-7
- Add javahl conditional build flag

* Mon Apr 09 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-6
- Really fix enablement of dependent maven collection

* Mon Apr 09 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-5
- Fix broken symlink to system javadoc

* Fri Mar 23 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-4
- Fix rh-maven35 collection enablement

* Thu Mar 22 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-3
- Update some version requirements

* Thu Mar 22 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-2
- Update some version requirements

* Thu Mar 22 2018 Mat Booth <mat.booth@redhat.com> - 4.7.3-1
- Update to Oxygen.3

* Wed Jan 17 2018 Mat Booth <mat.booth@redhat.com> - 4.7.2-14
- Move temporary fix to build package where it is needed

* Tue Jan 16 2018 Mat Booth <mat.booth@redhat.com> - 4.7.2-13
- Add base requirement on apt and wtp m2e plugins
- Own licenses directory

* Thu Dec 14 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-12
- Add temporary fix for xmvn problem

* Mon Dec 11 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-11
- Add conditional build flag for ecf providers

* Mon Dec 11 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-10
- Add hibernate conditional build flag

* Thu Dec 07 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-9
- Fix typo in RPM macro

* Thu Dec 07 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-8
- Use jp_minimal flag for builds

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-7
- Add more useful conditional build flags

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-6
- Add more useful conditional build flags

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-5
- Add conditional build flags

* Mon Dec 04 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-4
- Fix double activation of maven collection preventing dep generation from
  working

* Fri Dec 01 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-3
- Rebuilt with fixed buildroot

* Fri Dec 01 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-2
- BR the maven collection for a consistent build root
- ExcludeArch ppc64

* Mon Nov 20 2017 Mat Booth <mat.booth@redhat.com> - 4.7.2-1
- Bump to 4.7.2
- Drop xmvn macro overrides
- Move to rh-maven35 SCL dependency
- Drop support for EOL python33 collection

* Tue Oct 03 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-4
- Add Requires on new webtools-dali package

* Tue Sep 26 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-3
- Take ownership of java-utils dir used by tycho

* Tue Sep 26 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-2
- Add SWTBot for Red Deer usage

* Sun Sep 24 2017 Mat Booth <mat.booth@redhat.com> - 4.7.1-1
- Add Requires on new modules

* Wed Jun 28 2017 Mat Booth <mat.booth@redhat.com> - 4.7-2
- Enable Python 3.6 collection, if present
- Take ownership of ant.d condig dir

* Thu Jun 01 2017 Mat Booth <mat.booth@redhat.com> - 4.7-1
- Updates for Eclipse Oxygen

* Sun Apr 02 2017 Mat Booth <mat.booth@redhat.com> - 1-15
- Include Eclipse version number in desktop app shortcut names

* Fri Jan 20 2017 Mat Booth <mat.booth@redhat.com> - 1-14
- Add deps on m2e and testng to base package

* Tue Oct 25 2016 Mat Booth <mat.booth@redhat.com> - 1-13
- Add dep on usage plugin and install marker file

* Fri Oct 21 2016 Mat Booth <mat.booth@redhat.com> - 1-12
- Move deps from main package to base to satisfy requirements for devstudio

* Fri Aug 12 2016 Mat Booth <mat.booth@redhat.com> - 1-11
- Adjust requirements for new tm-terminal package

* Wed Aug 03 2016 Mat Booth <mat.booth@redhat.com> - 1-10
- Add requires on webtools packages

* Tue Aug 02 2016 Mat Booth <mat.booth@redhat.com> - 1-9
- Add more requires to base package

* Mon Aug 01 2016 Mat Booth <mat.booth@redhat.com> - 1-8
- Add macros to configure application names for the collection

* Mon Aug 01 2016 Mat Booth <mat.booth@redhat.com> - 1-7
- Split installation between main metapackage and "base" metapackage,
  rhbz#1361195
- Enable DTS 6, if installed

* Fri Jul 22 2016 Mat Booth <mat.booth@redhat.com> - 1-6
- Improve RPM macros to deal with native jars

* Fri Jul 22 2016 Mat Booth <mat.booth@redhat.com> - 1-5
- Ensure JVM symlinks are always for Java 8 by default

* Thu Jul 21 2016 Mat Booth <mat.booth@redhat.com> - 1-4
- Add symlinks to base OS version of JVM for use during package builds

* Thu Jul 21 2016 Mat Booth <mat.booth@redhat.com> - 1-3
- Ensure Java 8 is available

* Wed Jul 20 2016 Mat Booth <mat.booth@redhat.com> - 1-2
- Install xmvn macro overrides

* Tue Jul 19 2016 Mat Booth <mat.booth@redhat.com> - 1-1
- Commit initial package.

